<template name="CSVImport">
  <form data-action="beginImport">
    <h1>Import articles</h1>
    {{> Upload}}
    {{#if displayTable}}
      {{> ImportTable}}
      <p><input type="submit" value="Envoyer"></p>
    {{/if}}
  </form>
</template>

<template name="Upload">
  {{#unless uploading}}
    <p>
      <label for="uploadCSV">CSV : </label>
      <input type="file" name="uploadCSV">
    </p>
  {{else}}
    <p><i class="fa fa-spin fa-refresh"></i>Loading...</p>
  {{/unless}}
</template>

<template name="ImportMapper">
  <select>
    <option value="" selected></option>
    {{#each keys}}
      <option value="{{ this }}">{{ this }}</option>
    {{/each}}
    {{#each technicalKeys}}
      <option value="{{ this }}">{{ this }}</option>
    {{/each}}
  </select>
</template>

<template name="ImportTable">
  <p><button data-view-action="auto-bind-columns">Auto bind columns</button></p>
  <div class="import-table-container">
    <table class="import-table">
      {{> ImportHeaders}}
      {{#each lines}}
        {{> ImportRow}}
      {{/each}}
    </table>
  </div>
</template>

<template name="ImportHeaders">
  <tr class="import-mappers-row">
    <td class="column-remove"><i class="fa fa-arrows-v"></i></td>
    {{#each keys}}
      <td>
        {{> ImportMapper}}
      </td>
    {{/each}}
  </tr>
  <tr>
    <th class="column-remove"><i class="fa fa-trash"></i></th>
    {{#each keys}}
      <th>
        <input type="text" value="{{ this }}" readonly>
      </th>
    {{/each}}
  </tr>
</template>

<template name="ImportRow">
  <tr data-action="editCSVArticle">
    <td class="column-remove">
      <button type="button" name="remove" data-action="remove">&times;</button>
    </td>
    {{#each values}}
      <td>
        <input type="text" value="{{ this }}">
      </td>
    {{/each}}
  </tr>
</template>
